Re: [Bacula-users] Bacula-Web 8.0.0-rc3 released

2018-03-20 Thread Davide Franco
Hi Elias,

More details would be helpful.
Like OS, PHP version, Apache error log extract, etc.

Check 8.0.0-rc3 requirements below too
http://docs.bacula-web.org/en/latest/02_install/requirements.html#install-requirements

Best regards

Davide

On Tue, Mar 20, 2018 at 1:39 PM, Elias Pereira  wrote:

> I upgraded and some errors occurred.
>
> Exception trace
> File: /var/www/html/bacula-web/core/db/cdb.class.php on line 43 in
> function PDO->__construct
> File: /var/www/html/bacula-web/core/app/userauth.class.php on line 31 in
> function CDB->connect
> File: /var/www/html/bacula-web/core/app/webapplication.class.php on line
> 33 in function UserAuth->__construct
> File: /var/www/html/bacula-web/core/app/webapplication.class.php on line
> 104 in function WebApplication->setup
> File: /var/www/html/bacula-web/index.php on line 21 in function
> WebApplication->run
>
> On Tue, Mar 20, 2018 at 8:15 AM, Davide Franco  wrote:
>
>> Hi Olivier,
>>
>> On Tue, Mar 20, 2018 at 9:51 AM, Olivier Delestre <
>> olivier.deles...@univ-rouen.fr> wrote:
>>
>>> Hi,
>>>
>>> I installed successfully this version but , a few remarks.
>>>
>>> My Os : CentOs 7.4 - Bacula-web 7.4.0
>>> For this install,  i make an "upgrade" Php 5.4 -> Php 7.1
>>>
>>> I follow the install instruction "From archive" ( as usual ). But not
>>> working, perhaps i forgot to install "sqlite.x86_64"
>>> [php7:warn] [pid 3374] [client xxx]
>>> PHP Warning:  require_once(vendor/autoload.php): failed to open stream:
>>> No such file or directory in 
>>> /var/www/html/bacula-web.8.0.0/core/global.inc.php
>>> on line 19
>>> [php7:error] [pid 3374] [client xxx]
>>> PHP Fatal error:  require_once(): Failed opening required
>>> 'vendor/autoload.php' (include_path='.:/usr/share/pear:/usr/share/php')
>>> in /var/www/html/bacula-web.8.0.0/core/global.inc.php on line 19
>>>
>>
>> The archive for version 8.0.0-rc3 was broken, it is fixed now.
>> Sorry for that.
>>
>>
>>>
>>> so i use the second method "Using Composer" And that works, now.
>>>
>>> Perhaps, to put in documentation page "From archive", a Big Warning for
>>> sqlite or only the composer method works.
>>>
>>
>> No need to update documentation for archive installation as mentioned
>> above.
>>
>>>
>>> I don't know but thanks for your works.
>>
>>
>> Thanks for your feedback.
>>
>> Best regards
>>
>> Davide
>>
>>
>>>
>>>
>>>
>>> Le 17/03/2018 à 13:02, bacula-...@dflc.ch a écrit :
>>>
 Dear all,

 I'm happy to announce that Bacula-Web 8.0.0-rc3 is available now.

 This is the third and last release candidate version before the next
 stable version 8.0.0

 What's new ?

 - User and general settings
  - Configuration settings are now visible in General settings
 - Documentation
  - Composer installation have been fixed and updated
  - Nginx web server setup have been added

 For more information, please visit the url below
 http://www.bacula-web.org/news-reader/bacula-web-8-0-0-rc3-r
 eleased.html

 Documentation for 8.0.0-rc3 is available here
 http://docs.bacula-web.org/en/latest/

 For any feature request or bug report, please use the bug tracker
 http://bugs.bacula-web.org

 As usual, any questions or feedback are more than welcome

 Thanks for supporting and using Bacula-Web

 Best regards

 Davide

 
 --
 Check out the vibrant tech community on one of the world's most
 engaging tech sites, Slashdot.org! http://sdm.link/slashdot
 ___
 Bacula-users mailing list
 Bacula-users@lists.sourceforge.net
 https://lists.sourceforge.net/lists/listinfo/bacula-users

>>>
>>>
>>> 
>>> --
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>> ___
>>> Bacula-users mailing list
>>> Bacula-users@lists.sourceforge.net
>>> https://lists.sourceforge.net/lists/listinfo/bacula-users
>>>
>>
>>
>> 
>> --
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> ___
>> Bacula-users mailing list
>> Bacula-users@lists.sourceforge.net
>> https://lists.sourceforge.net/lists/listinfo/bacula-users
>>
>>
>
>
> --
> Elias Pereira
>
--
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot___
Bacula-users mailing list

Re: [Bacula-users] Bacula-Web 8.0.0-rc3 released

2018-03-20 Thread Elias Pereira
I upgraded and some errors occurred.

Exception trace
File: /var/www/html/bacula-web/core/db/cdb.class.php on line 43 in function
PDO->__construct
File: /var/www/html/bacula-web/core/app/userauth.class.php on line 31 in
function CDB->connect
File: /var/www/html/bacula-web/core/app/webapplication.class.php on line 33
in function UserAuth->__construct
File: /var/www/html/bacula-web/core/app/webapplication.class.php on line
104 in function WebApplication->setup
File: /var/www/html/bacula-web/index.php on line 21 in function
WebApplication->run

On Tue, Mar 20, 2018 at 8:15 AM, Davide Franco  wrote:

> Hi Olivier,
>
> On Tue, Mar 20, 2018 at 9:51 AM, Olivier Delestre <
> olivier.deles...@univ-rouen.fr> wrote:
>
>> Hi,
>>
>> I installed successfully this version but , a few remarks.
>>
>> My Os : CentOs 7.4 - Bacula-web 7.4.0
>> For this install,  i make an "upgrade" Php 5.4 -> Php 7.1
>>
>> I follow the install instruction "From archive" ( as usual ). But not
>> working, perhaps i forgot to install "sqlite.x86_64"
>> [php7:warn] [pid 3374] [client xxx]
>> PHP Warning:  require_once(vendor/autoload.php): failed to open stream:
>> No such file or directory in 
>> /var/www/html/bacula-web.8.0.0/core/global.inc.php
>> on line 19
>> [php7:error] [pid 3374] [client xxx]
>> PHP Fatal error:  require_once(): Failed opening required
>> 'vendor/autoload.php' (include_path='.:/usr/share/pear:/usr/share/php')
>> in /var/www/html/bacula-web.8.0.0/core/global.inc.php on line 19
>>
>
> The archive for version 8.0.0-rc3 was broken, it is fixed now.
> Sorry for that.
>
>
>>
>> so i use the second method "Using Composer" And that works, now.
>>
>> Perhaps, to put in documentation page "From archive", a Big Warning for
>> sqlite or only the composer method works.
>>
>
> No need to update documentation for archive installation as mentioned
> above.
>
>>
>> I don't know but thanks for your works.
>
>
> Thanks for your feedback.
>
> Best regards
>
> Davide
>
>
>>
>>
>>
>> Le 17/03/2018 à 13:02, bacula-...@dflc.ch a écrit :
>>
>>> Dear all,
>>>
>>> I'm happy to announce that Bacula-Web 8.0.0-rc3 is available now.
>>>
>>> This is the third and last release candidate version before the next
>>> stable version 8.0.0
>>>
>>> What's new ?
>>>
>>> - User and general settings
>>>  - Configuration settings are now visible in General settings
>>> - Documentation
>>>  - Composer installation have been fixed and updated
>>>  - Nginx web server setup have been added
>>>
>>> For more information, please visit the url below
>>> http://www.bacula-web.org/news-reader/bacula-web-8-0-0-rc3-released.html
>>>
>>> Documentation for 8.0.0-rc3 is available here
>>> http://docs.bacula-web.org/en/latest/
>>>
>>> For any feature request or bug report, please use the bug tracker
>>> http://bugs.bacula-web.org
>>>
>>> As usual, any questions or feedback are more than welcome
>>>
>>> Thanks for supporting and using Bacula-Web
>>>
>>> Best regards
>>>
>>> Davide
>>>
>>> 
>>> --
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>> ___
>>> Bacula-users mailing list
>>> Bacula-users@lists.sourceforge.net
>>> https://lists.sourceforge.net/lists/listinfo/bacula-users
>>>
>>
>>
>> 
>> --
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> ___
>> Bacula-users mailing list
>> Bacula-users@lists.sourceforge.net
>> https://lists.sourceforge.net/lists/listinfo/bacula-users
>>
>
>
> 
> --
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> ___
> Bacula-users mailing list
> Bacula-users@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/bacula-users
>
>


-- 
Elias Pereira
--
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot___
Bacula-users mailing list
Bacula-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/bacula-users


Re: [Bacula-users] Bacula-Web 8.0.0-rc3 released

2018-03-20 Thread Davide Franco
Hi Olivier,

On Tue, Mar 20, 2018 at 9:51 AM, Olivier Delestre <
olivier.deles...@univ-rouen.fr> wrote:

> Hi,
>
> I installed successfully this version but , a few remarks.
>
> My Os : CentOs 7.4 - Bacula-web 7.4.0
> For this install,  i make an "upgrade" Php 5.4 -> Php 7.1
>
> I follow the install instruction "From archive" ( as usual ). But not
> working, perhaps i forgot to install "sqlite.x86_64"
> [php7:warn] [pid 3374] [client xxx]
> PHP Warning:  require_once(vendor/autoload.php): failed to open stream:
> No such file or directory in 
> /var/www/html/bacula-web.8.0.0/core/global.inc.php
> on line 19
> [php7:error] [pid 3374] [client xxx]
> PHP Fatal error:  require_once(): Failed opening required
> 'vendor/autoload.php' (include_path='.:/usr/share/pear:/usr/share/php')
> in /var/www/html/bacula-web.8.0.0/core/global.inc.php on line 19
>

The archive for version 8.0.0-rc3 was broken, it is fixed now.
Sorry for that.


>
> so i use the second method "Using Composer" And that works, now.
>
> Perhaps, to put in documentation page "From archive", a Big Warning for
> sqlite or only the composer method works.
>

No need to update documentation for archive installation as mentioned
above.

>
> I don't know but thanks for your works.


Thanks for your feedback.

Best regards

Davide


>
>
>
> Le 17/03/2018 à 13:02, bacula-...@dflc.ch a écrit :
>
>> Dear all,
>>
>> I'm happy to announce that Bacula-Web 8.0.0-rc3 is available now.
>>
>> This is the third and last release candidate version before the next
>> stable version 8.0.0
>>
>> What's new ?
>>
>> - User and general settings
>>  - Configuration settings are now visible in General settings
>> - Documentation
>>  - Composer installation have been fixed and updated
>>  - Nginx web server setup have been added
>>
>> For more information, please visit the url below
>> http://www.bacula-web.org/news-reader/bacula-web-8-0-0-rc3-released.html
>>
>> Documentation for 8.0.0-rc3 is available here
>> http://docs.bacula-web.org/en/latest/
>>
>> For any feature request or bug report, please use the bug tracker
>> http://bugs.bacula-web.org
>>
>> As usual, any questions or feedback are more than welcome
>>
>> Thanks for supporting and using Bacula-Web
>>
>> Best regards
>>
>> Davide
>>
>> 
>> --
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>> ___
>> Bacula-users mailing list
>> Bacula-users@lists.sourceforge.net
>> https://lists.sourceforge.net/lists/listinfo/bacula-users
>>
>
>
> 
> --
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> ___
> Bacula-users mailing list
> Bacula-users@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/bacula-users
>
--
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot___
Bacula-users mailing list
Bacula-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/bacula-users


Re: [Bacula-users] Bacula-Web 8.0.0-rc3 released

2018-03-20 Thread Olivier Delestre

Hi,

I installed successfully this version but , a few remarks.

My Os : CentOs 7.4 - Bacula-web 7.4.0
For this install,  i make an "upgrade" Php 5.4 -> Php 7.1

I follow the install instruction "From archive" ( as usual ). But not 
working, perhaps i forgot to install "sqlite.x86_64"

[php7:warn] [pid 3374] [client xxx]
PHP Warning:  require_once(vendor/autoload.php): failed to open stream: 
No such file or directory in 
/var/www/html/bacula-web.8.0.0/core/global.inc.php on line 19

[php7:error] [pid 3374] [client xxx]
PHP Fatal error:  require_once(): Failed opening required 
'vendor/autoload.php' (include_path='.:/usr/share/pear:/usr/share/php') 
in /var/www/html/bacula-web.8.0.0/core/global.inc.php on line 19


so i use the second method "Using Composer" And that works, now.

Perhaps, to put in documentation page "From archive", a Big Warning for 
sqlite or only the composer method works.


I don't know but thanks for your works.


Le 17/03/2018 à 13:02, bacula-...@dflc.ch a écrit :

Dear all,

I'm happy to announce that Bacula-Web 8.0.0-rc3 is available now.

This is the third and last release candidate version before the next stable 
version 8.0.0

What's new ?

- User and general settings
 - Configuration settings are now visible in General settings
- Documentation
 - Composer installation have been fixed and updated
 - Nginx web server setup have been added

For more information, please visit the url below
http://www.bacula-web.org/news-reader/bacula-web-8-0-0-rc3-released.html

Documentation for 8.0.0-rc3 is available here
http://docs.bacula-web.org/en/latest/

For any feature request or bug report, please use the bug tracker
http://bugs.bacula-web.org

As usual, any questions or feedback are more than welcome

Thanks for supporting and using Bacula-Web

Best regards

Davide

--
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
___
Bacula-users mailing list
Bacula-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/bacula-users



--
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
___
Bacula-users mailing list
Bacula-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/bacula-users


[Bacula-users] Bacula-Web 8.0.0-rc3 released

2018-03-17 Thread bacula-dev
Dear all,

I'm happy to announce that Bacula-Web 8.0.0-rc3 is available now.

This is the third and last release candidate version before the next stable 
version 8.0.0

What's new ?

- User and general settings
- Configuration settings are now visible in General settings
- Documentation
- Composer installation have been fixed and updated
- Nginx web server setup have been added

For more information, please visit the url below
http://www.bacula-web.org/news-reader/bacula-web-8-0-0-rc3-released.html

Documentation for 8.0.0-rc3 is available here
http://docs.bacula-web.org/en/latest/

For any feature request or bug report, please use the bug tracker
http://bugs.bacula-web.org

As usual, any questions or feedback are more than welcome

Thanks for supporting and using Bacula-Web

Best regards

Davide

--
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
___
Bacula-users mailing list
Bacula-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/bacula-users